OFvariant needs a C++11 (and later) implementation
2016-09-16 11:04 - Jan Schlamelcher

Status: Closed Start date: 2016-09-16
Priority: High Due date:

Assignee: Jan Schlamelcher % Done: 100%
Category: Estimated time: 0:00 hour
Target version: 3.6.1

Module: Compiler:

Operating System:

Description

OFvariant and depending classes currently can not be used when C++11 (C++14, C++17) support is enabled. This is due to "OFget"
becoming defined as "std::get" in that case, which results in the OFget implementations for OFvariant not taking part in overload
resolution. Instead of employing some "hackish" fix for overload resolution, OFvariant should instead get a separate C++11
implementation, taking advantage of variadic templates and decltype etc.

History

#1 - 2016-11-02 17:59 - Jan Schlamelcher
- Status changed from New to Closed

- % Done changed from 0 to 100

Closed by commit bf6ba98.
